| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
qx::QxSqlQueryBuilder_Exist< T > Class Template Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxSqlQueryBuilder_Exist<T> : concrete SQL query builder for class T to build an EXIST SQL query More...

`#include <QxSqlQueryBuilder.h>`

Inheritance diagram for qx::QxSqlQueryBuilder_Exist< T >:

List of all members.

## Public Types
typedef QxSqlQueryBuilder< T > ::type_sql | type_sql
## Public Member Functions
| QxSqlQueryBuilder_Exist ()
virtual | ~QxSqlQueryBuilder_Exist ()
virtual IxSqlQueryBuilder & | buildSql (const QStringList &columns=QStringList(), QxSqlRelationLinked *pRelationX=NULL)

## Detailed Description

### template<class T>
class qx::QxSqlQueryBuilder_Exist< T >

qx::QxSqlQueryBuilder_Exist<T> : concrete SQL query builder for class T to build an EXIST SQL query

Definition at line 136 of file QxSqlQueryBuilder.h.

## Member Typedef Documentation

template<class T >

typedef QxSqlQueryBuilder<T>::type_sql qx::QxSqlQueryBuilder_Exist< T >::type_sql

Reimplemented from qx::QxSqlQueryBuilder< T >.

Definition at line 141 of file QxSqlQueryBuilder.h.

## Constructor & Destructor Documentation

template<class T >

qx::QxSqlQueryBuilder_Exist< T >::QxSqlQueryBuilder_Exist | ( |  | ) | `[inline]`

Definition at line 143 of file QxSqlQueryBuilder.h.

template<class T >

virtual qx::QxSqlQueryBuilder_Exist< T >::~QxSqlQueryBuilder_Exist | ( |  | ) | `[inline, virtual]`

Definition at line 144 of file QxSqlQueryBuilder.h.

## Member Function Documentation

template<class T >

virtual IxSqlQueryBuilder& qx::QxSqlQueryBuilder_Exist< T >::buildSql | ( | const QStringList & | columns = `QStringList()`,
|  | QxSqlRelationLinked * | pRelationX = `NULL`
| ) |  | `[inline, virtual]`

Implements qx::IxSqlQueryBuilder.

Definition at line 146 of file QxSqlQueryBuilder.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlQueryBuilder.h